<?xml version="1.0" encoding="Shift_JIS" ?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
    xmlns:rss="http://purl.org/rss/1.0/">
<xsl:output method="html" encoding="Shift_JIS"/>

  <!--  doc  -->
  <xsl:template match="/">
    <html><body>
      <xsl:apply-templates select="rdf:RDF"/>
    </body></html>
  </xsl:template>

  <!--  RDF  -->
  <xsl:template match="rdf:RDF">
    <xsl:apply-templates select="rss:channel"/>
    <xsl:apply-templates select="rss:item"/>
  </xsl:template>
 
  <!--  channel  -->
  <xsl:template match="rss:channel">
    <xsl:apply-templates select="//rss:channel/rss:title"/>
    <xsl:apply-templates select="//rss:channel/rss:description"/>
  </xsl:template>

  <!--  channeltitle  -->
  <xsl:template match="//rss:channel/rss:title">
    <center>
      <h1>
        <xsl:value-of select="."/>
      </h1>
    </center>
  </xsl:template>

  <!--  channeldescription  -->
  <xsl:template match="//rss:channel/rss:description">
    <center>
      <xsl:value-of select="."/>
    <br/><hr/>
    </center>    
  </xsl:template>

  <!--  item  -->
  <xsl:template match="rss:item">
    <h3><a>
      <xsl:attribute name="href">
        <xsl:value-of select="rss:link"/>
      </xsl:attribute> 
      <xsl:value-of select="rss:title"/>
    </a></h3>
      <xsl:value-of select="rss:description"/>
  </xsl:template>
</xsl:stylesheet>
