import java.io.*;
import java.util.*;
import javax.xml.parsers.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import javax.xml.transform.dom.*;
import org.w3c.dom.*;

class Sample11
{
   public static void main(String args[]) throws Exception
   {
      //DOM̏
      DocumentBuilderFactory dbf
         = DocumentBuilderFactory.newInstance();
      DocumentBuilder db
         = dbf.newDocumentBuilder();

      //VK쐬
      Document doc = db.newDocument();

      //[gvf쐬
      Element root = doc.createElement("ԃXg");
      doc.appendChild(root);

      //CSV̏
      BufferedReader br = new BufferedReader(new FileReader("Sample.csv"));

      //CSṼ^Cgsۑ
      Vector<String> colname = new Vector<String>();
      String line = br.readLine();
      StringTokenizer stt = new StringTokenizer(line, ",");
      while(stt.hasMoreTokens()){
         colname.addElement(stt.nextToken());
      }

      //CSVǂ
      while((line = br.readLine()) != null){
         StringTokenizer std = new StringTokenizer(line, ",");
         Element car = doc.createElement("");
         root.appendChild(car);

         for(int i=0; i<colname.size(); i++){
            Element elm = doc.createElement((String)colname.elementAt(i));
            Text txt = doc.createTextNode(std.nextToken());
            elm.appendChild(txt);
            car.appendChild(elm);
         }

      }
      br.close();

      //o
      TransformerFactory tff
         = TransformerFactory.newInstance();
      Transformer tf
         = tff.newTransformer();
      tf.setOutputProperty(OutputKeys.ENCODING, "Shift_JIS");
      tf.transform(new DOMSource(doc), new StreamResult("result.xml"));
   }
}
